import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_ldap_proxy_is_installed(host):
    ldap_proxy_server = host.package("openldap-servers")
    ldap_proxy_client = host.package("openldap-clients")
    assert ldap_proxy_server.is_installed
    assert ldap_proxy_client.is_installed


def test_ldap_proxy_running_and_enabled(host):
    ldap_proxy = host.service("slapd")
    assert ldap_proxy.is_running
    assert ldap_proxy.is_enabled
